%global modname mutagen
%global _docdir_fmt %{name}

Name:           python-%{modname}
Version:        1.46.0
Release:    1%{?dist}
Summary:        Mutagen is a Python module to handle audio meta-data

License:        GPL-2.0-or-later AND MIT
URL:            https://github.com/quodlibet/mutagen
Source0:        %{url}/releases/download/release-%{version}/%{modname}-%{version}.tar.gz

Patch0:         37b4e6bddc03e1f715425c418ea84bac15116907.diff
BuildArch:      noarch

%global _description \
Mutagen is a Python module to handle audio meta-data. It supports\
reading ID3 (all versions), APEv2, FLAC, and Ogg Vorbis/FLAC/Theora.\
It can write ID3v1.1, ID3v2.4, APEv2, FLAC, and Ogg Vorbis/FLAC/Theora\
comments. It can also read MPEG audio and Xing headers, FLAC stream\
info blocks, and Ogg Vorbis/FLAC/Theora stream headers. Finally, it\
includes a module to handle generic Ogg bit-streams.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-hypothesis
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx_rtd_theme

%description -n python3-%{modname} %{_description}

Python 3 version.

%package doc
Summary:        Documentation for python-mutagen
BuildRequires:  /usr/bin/sphinx-build

%description doc
Contains the html documentation for python mutagen.

%prep
%autosetup -n %{modname}-%{version} -p1

%build
%py3_build

sphinx-build -b html -n docs docs/_build

%install
%py3_install

install -D -p -m 0644 man/*.1 %{buildroot}%{_mandir}/man1

rm -rf docs/_build/{.buildinfo,.doctrees}

%check
%pytest


%files -n python3-%{modname}
%license COPYING
%doc NEWS README.rst
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}/

%{_bindir}/mid3cp
%{_bindir}/mid3iconv
%{_bindir}/mid3v2
%{_bindir}/moggsplit
%{_bindir}/mutagen-inspect
%{_bindir}/mutagen-pony

%{_mandir}/man1/mid3cp.1*
%{_mandir}/man1/mid3iconv.1*
%{_mandir}/man1/mid3v2.1*
%{_mandir}/man1/moggsplit.1*
%{_mandir}/man1/mutagen-inspect.1*
%{_mandir}/man1/mutagen-pony.1*

%files doc
%doc docs/_build/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.46.0-1
- initial build
